Bug 973491 - Why has RTC device support been removed from Fedora 18 ARM?
Why has RTC device support been removed from Fedora 18 ARM?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
arm Linux
unspecified Severity low
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 23:51 EDT by Schoschi Decker
Modified: 2015-08-31 23:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 17:20:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Schoschi Decker 2013-06-11 23:51:32 EDT
Description of problem:  yum list does not show any support for RTC devices for Fedora 18 ARM as was present in Fedora 17 ARM.  Thus it appears if i2c based RTC clock device is installed on hardware (RTC ds1307 for example), such as Arduino or Raspberry Pi, Fedora 18 ARM has no method to leverage device.  This is rather short sighted of the Fedora ARM team given the great popularity of such devices.
Comment 1 Josh Boyer 2013-10-09 15:06:05 EDT
I'm not sure what you would expect 'yum list' to show for RTC devices.

The I2C RTC device drivers are still built in the F18 arm kernels.  However, Fedora doesn't officially support the Raspberry Pi as all the necessary source isn't upstream.  The Pidora release does provide that support.  Going forward (F20 and beyond), Fedora ARM will only support ARMv7 hardware anyway.

Can you be more specific on what you are actually seeing?
Comment 2 Peter Robinson 2013-10-09 17:20:36 EDT
armv5tel is actually end of life with Fedora 18, we actually dropped support for it in F-19.

Pidora is a different project that supports the Raspberry Pi as a separate project and any issues with the RPi HW should be directed to the Pidora team and the details for for how to do that is on their site http://pidora.ca

That being said the mainline Fedora kernel still builds the ds1307 RTC driver with i2c support as a driver on the mainline kernel (no idea about the Pidora kernel) so it would still be usable if you're using a ARMv7 platform that is supported on Fedora.

Note You need to log in before you can comment on or make changes to this bug.